import './runtime/index.css';

import { GameContext } from './runtime/controller/gamecontext';

import { Renderer } from './runtime/view/renderer/renderer';

window.onload = async (): Promise<void> => {
	const app = document.getElementById('app');
	if (!app) return;

	const canvas = document.createElement('canvas');
	const renderer = new Renderer(canvas);

	const resize = (): void => {
		canvas.width = window.innerWidth;
		canvas.height = window.innerHeight;
		renderer.resize();
	};
	window.addEventListener('resize', resize);
	resize();

	app.append(canvas);

	GameContext.load(renderer);
};

module.hot?.accept();
